Module
Contents
Index 🔎︎

# Close Statement

Closes a specified file that was opened with the Open statement.

## Syntax:

    Close FileNumber As Integer[, FileNumber2 As Integer[,...]]

## Parameters:

FileNumber: An integer expression that specifies the number of the data channel that was opened with the Open statement.

## Example:

    Sub ExampleWorkWithAFile

    Dim iNumber As Integer

    Dim sLine As String

    Dim aFile As String

    Dim sMsg As String

        aFile = "c:\data.txt"

        sMsg = ""

        iNumber = Freefile

        Open aFile For Output As #iNumber

        Print #iNumber, "First line of text"

        Print #iNumber, "Another line of text"

        Close #iNumber

        iNumber = Freefile

        Open aFile For Input As iNumber

        While Not eof(iNumber)

            Line Input #iNumber, sLine

            If sLine <>"" Then

                sMsg = sMsg & sLine & chr(13)

            End If

        Wend

        Close #iNumber

        MsgBox sMsg

    End Sub